﻿@page "{AccountID}"
@using Canyon.GM.Panel.Services.Core;
@inject IStringLocalizer StringLocalizer;
@model Canyon.GM.Panel.Areas.User.Pages.ShopHistoryModel
@{
    Layout = "~/Areas/User/Shared/_Layout.cshtml";
    ViewData[TITLE] = StringLocalizer.GetString("ManageUserTitle", Model.Account.UserName);
}

<div class="mt-30 mb-40 table-responsive">
    <table id="conquerPurchasesTable" class="table table-bordered" aria-label="None">
        <thead>
            <tr>
                <th scope="col">#</th>
                <th scope="col">@StringLocalizer["Date"]</th>
                <th scope="col">@StringLocalizer["PaymentMethod"]</th>
                <th scope="col">@StringLocalizer["PaymentStatus"]</th>
                <th scope="col">@StringLocalizer["Value"]</th>
                <th scope="col">@StringLocalizer["Action"]</th>
            </tr>
        </thead>
        <tbody>
            @foreach (var purchase in Model.PaymentsOrders)
            {
                <tr>
                    <td>@purchase.Id</td>
                    <td>@purchase.CreatedAt</td>
                    <td>@StringLocalizer[purchase.Method.Name]</td>
                    <td>@StringLocalizer[purchase.Status.ToString()]</td>
                    <td>R$ @purchase.Price.ToString("N2")</td>
                    <td>
                        <a asp-area="Purchases" asp-page="Index" asp-route-OrderID="@purchase.Id" asp-route-ReturnUrl="/User/ShopHistory/@Model.AccountID" class="btn btn-link"><i class="fa fa-search" aria-hidden="true"></i></a>
                    </td>
                </tr>
            }
        </tbody>
        <tfoot>
            <tr>
                <td>@StringLocalizer["TotalAwaitingPayment"]</td>
                <td>R$ @Model.PaymentsPending.ToString("N2")</td>
                <td>@StringLocalizer["TotalSpent"]</td>
                <td>R$ @Model.PaymentsTotal.ToString("N2")</td>
                <td>@StringLocalizer["TotalRefunded"]</td>
                <td>R$ @Model.PaymentsRefund.ToString("N2")</td>
            </tr>
        </tfoot>
    </table>
</div>